package com.gydx.controller;

import com.gydx.VO.StudentVO;
import com.gydx.result.Result;
import com.gydx.service.GydxService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@Slf4j
public class GydxController {

    @Autowired
    GydxService gydxService;

    @PostMapping("/addStudent")
    public Result save(@RequestBody StudentVO vo){
        log.info("添加学生信息:"+vo.toString());
        log.info("id",vo.getId());
        log.info("name",vo.getName());
        log.info("age",vo.getAge());
        gydxService.save(vo);
        return Result.success();
    }

    @DeleteMapping("/deleteStudent/{id}")
    public Result deleteById(@PathVariable int id){
        log.info("根据id删除{}:"+id);
        gydxService.deleteById(id);
        return Result.success();
    }



}
