package com.gydx.mapper;

import com.gydx.annotation.AutoFill;
import com.gydx.entity.User;
import com.gydx.enumeration.OperationType;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.util.List;

@Mapper
public interface UserMapper {
    /**
     * 根据用户名查询员工
     * @param username
     * @return
     */
    @Select("select * from g4_user where username = #{username}")
    User getByUsername(String username);

    @Insert("insert into g4_user(username, password, status,create_time) VALUES " +
            "(#{username},#{password},#{status},#{createTime})")
    @AutoFill(value = OperationType.INSERT)
    void insert(User user);

    void deleteByIds(List<Long> ids);
}
